Document templates & integrations

Connect Expensify Integration

Verifies Expensify partner credentials by fetching policies, then stores them for the caller's org.

POSThttps://api.toku.com/hris/connect-expensify-integration

Not available to API keys.

curl --request POST \
  --url 'https://api.toku.com/hris/connect-expensify-integration' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "partnerUserID": "string",
  "partnerUserSecret": "string"
}'
200 response
{
  "policies": [
    {
      "id": "string",
      "name": "string",
      "outputCurrency": "string"
    }
  ]
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

partnerUserIDstringrequired

Allowed: at least 1 characters

partnerUserSecretstringrequired

Allowed: at least 1 characters

Response

200Successful response
policiesobject[]required
Show child attributes
idstringrequired
namestringrequired
outputCurrencystring
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits